Bug 174112 - unknown device 1002:5940 ATI RV280 [Radeon 9200 PRO]
unknown device 1002:5940 ATI RV280 [Radeon 9200 PRO]
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-24 13:03 EST by John Reiser
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-31 13:27:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2005-11-24 13:03:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8) Gecko/20051118 Fedora/1.5-0.5.0.rc3 Firefox/1.5

Description of problem:
1-year old video card is not recognized by graphical install.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot from FC5test1 install CD-ROM disk 1.
2.
3.
  

Actual Results:  Probing for video card: ATI Technologies Inc: Unknown Device 5940


Expected Results:  Probing for video card: ATI Technologies Inc: RV280 [Radeon 9200 PRO]

Additional info:

lspci says:
01:00.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200 PRO] (rev 01)
01:00.1 Display controller: ATI Technologies Inc: Unknown device 5940 (rev 01)

lspci -n says:
01:00.0 Class 0300: 1002:5960 (rev 01)
01:00.1 Class 0380: 1002:5940 (rev 01)
Comment 1 Jeremy Katz 2005-11-24 22:22:48 EST
We're moving this information to be maintained in the driver packages where it
can be updated more regularly and as a regular part of the build process rather
than relying on a manual process of syncing stuff.
Comment 2 Mike A. Harris 2006-01-31 13:27:17 EST
(In reply to comment #0)
> From Bugzilla Helper:
> User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8) Gecko/20051118
Fedora/1.5-0.5.0.rc3 Firefox/1.5
> 
> Description of problem:
> 1-year old video card is not recognized by graphical install.

This is not the case, see below...

> Version-Release number of selected component (if applicable):
> 
> 
> How reproducible:
> Always
> 
> Steps to Reproduce:
> 1. Boot from FC5test1 install CD-ROM disk 1.
> 2.
> 3.
>   
> 
> Actual Results:  Probing for video card: ATI Technologies Inc: Unknown Device 5940

Which is unimportant, see below...
 
 
> Expected Results:  Probing for video card: ATI Technologies Inc: RV280 [Radeon
9200 PRO]
> 
> Additional info:
> 
> lspci says:
> 01:00.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200
PRO] (rev 01)

Correct, this above is the video card.

> 01:00.1 Display controller: ATI Technologies Inc: Unknown device 5940 (rev 01)

<obiwan> These are not the droids you are looking for.
 
> lspci -n says:
> 01:00.0 Class 0300: 1002:5960 (rev 01)
                ^^^^
This is the VGA device, which is what is used by the installer and all
hardware detection software to detect video hardware.  All class 0300
devices are VGA, which get mapped to a driver.

> 01:00.1 Class 0380: 1002:5940 (rev 01)

This is a class 0380 device, which is not VGA, and is ignored.


As shown by lspci above, the VGA device is known by pcitable.  That PCI ID
will be mapped to the proper driver by the config tools, with the videoalias
files that will be present in a future driver build.

Note You need to log in before you can comment on or make changes to this bug.